/***********************
* Adobe Edge Animate Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         // Get width/height of container
         myWidth = sym.$("pdfcontainer").width();
         myHeight = sym.$("pdfcontainer").height();
         
         // create an iframe instance 
         var pdfviewer = $("<iframe id='pdfviewer'/>"); 
         sym.$("pdfcontainer").append(pdfviewer);
         
         pdfviewer.attr('type','application/pdf');
         pdfviewer.attr('width',myWidth);
         pdfviewer.attr('height',myHeight);	 
         pdfviewer.attr('src','sample.pdf#zoom=50,0,0&FitV,0');  // url of pdf file with appended parameters
         //pdfviewer.attr('view','FitH');	    
         //pdfviewer.attr('zoom','100');   		// 1 | 0
         //pdfviewer.attr('toolbar','0');   		// 1 | 0
         //pdfviewer.attr('navpanes','0');   		// 1 | 0
         
         // View http://www.adobe.com/content/dam/Adobe/en/devnet/acrobat/pdfs/pdf_open_parameters.pdf for complete parameter list	

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

})(jQuery, AdobeEdge, "EDGE-56561542");